CLEAR ALL
INK RGB(0,255,0)
PRINT "TYPEWRITER"
PRINT
INK RGB(255,255,255)
PRINT "Enter some text in the typewriter, or Esc to quit."
INK RGB(255,128,0)
SOUND 1 LOAD "Keystroke.mp3"
SOUND 2 LOAD "Return.mp3"
CURSOR SHOW BLINK 0 TINT RGB(255,0,0)
DO
    GETKEY a$
    IF a$=CHR$(27) THEN EXIT DO
    IF a$=CHR$(13) THEN
        SOUND 1 STOP
        SOUND 2 PLAY
    ELSE
        SOUND 1 PLAY
    END IF
    PRINT a$;
LOOP
IF CURSOR.X>0 THEN PRINT
INK RGB(255,255,255)
CURSOR RESET
SOUND 1 FREE
SOUND 2 FREE
